Resource

Monitor User Owner

Add users as owners to your monitors.

The Monitor User Owner Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    user
    Type
    User
    Description

    User that is the owner. This user will receive notifications.

  • Name
    userId
    Type
    Object IDRequired
    Description

    ID of your User in which this object belongs

  • Name
    monitor
    Type
    Monitor
    Description

    Relation to Monitor Resource in which this object belongs

  • Name
    monitorId
    Type
    Object IDRequired
    Description

    ID of your Monitor in which this object belongs

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    isOwnerNotified
    Type
    BooleanRequired
    Description

    Are owners notified of this resource ownership?

GETorPOST/api/monitor-owner-user/get-list

List

This endpoint allows you to retrieve a paginated list of all your Monitor User Owner. By default, a maximum of ten Monitor User Owner are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/monitor-owner-user/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "isOwnerNotified": true,
    "monitorId": true,
    "projectId": true,
    "userId": true,
    "createdByUser": true
  },
  "query": {},
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "3775fe83-28fe-11f1-b591-3fdcef396aba",
      "isOwnerNotified": true,
      "monitorId": "3c5e7f9a-d1b2-4e6a-8f9c-0d1e2f3a4b5c",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "userId": "8c1d3e5f-a7b9-4c2e-9d6f-1a2b3c4d5e6f",
      "createdByUser": "user-id-9b1c3d5e-f7a9-4c2e-8d6f-0a1b2c3d4e5f"
    },
    {
      "_id": "3775fe84-28fe-11f1-b591-3fdcef396aba",
      "isOwnerNotified": true,
      "monitorId": "3c5e7f9a-d1b2-4e6a-8f9c-0d1e2f3a4b5c",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "userId": "8c1d3e5f-a7b9-4c2e-9d6f-1a2b3c4d5e6f",
      "createdByUser": "user-id-9b1c3d5e-f7a9-4c2e-8d6f-0a1b2c3d4e5f"
    },
    {
      "_id": "3775fe85-28fe-11f1-b591-3fdcef396aba",
      "isOwnerNotified": true,
      "monitorId": "3c5e7f9a-d1b2-4e6a-8f9c-0d1e2f3a4b5c",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "userId": "8c1d3e5f-a7b9-4c2e-9d6f-1a2b3c4d5e6f",
      "createdByUser": "user-id-9b1c3d5e-f7a9-4c2e-8d6f-0a1b2c3d4e5f"
    }
  ]
}
GETorPOST/api/monitor-owner-user/:id/get-item

Get item by ID

This endpoint allows you to retrieve Monitor User Owner by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/monitor-owner-user/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "isOwnerNotified": true,
    "monitorId": true,
    "projectId": true,
    "userId": true,
    "createdByUser": true
  }
}

Response

{
  "_id": "3775fe83-28fe-11f1-b591-3fdcef396aba",
  "isOwnerNotified": true,
  "monitorId": "3c5e7f9a-d1b2-4e6a-8f9c-0d1e2f3a4b5c",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "userId": "8c1d3e5f-a7b9-4c2e-9d6f-1a2b3c4d5e6f",
  "createdByUser": "user-id-9b1c3d5e-f7a9-4c2e-8d6f-0a1b2c3d4e5f"
}
POST/api/monitor-owner-user/count

Count

This endpoint allows you to retrieve the count of all your Monitor User Owner.

Optional Request Body

Count Request

POST
/api/monitor-owner-user/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {}
}

Response

{
  "count": 107
}
POST/api/monitor-owner-user

Create Monitor User Owner

This endpoint allows you to create a new object.

Create Request

POST
/api/monitor-owner-user
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "isOwnerNotified": true,
    "monitorId": "3c5e7f9a-d1b2-4e6a-8f9c-0d1e2f3a4b5c",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "userId": "8c1d3e5f-a7b9-4c2e-9d6f-1a2b3c4d5e6f",
    "createdByUser": "user-id-9b1c3d5e-f7a9-4c2e-8d6f-0a1b2c3d4e5f"
  }
}

Response

{
  "_id": "3775fe83-28fe-11f1-b591-3fdcef396aba",
  "isOwnerNotified": true,
  "monitorId": "3c5e7f9a-d1b2-4e6a-8f9c-0d1e2f3a4b5c",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "userId": "8c1d3e5f-a7b9-4c2e-9d6f-1a2b3c4d5e6f",
  "createdByUser": "user-id-9b1c3d5e-f7a9-4c2e-8d6f-0a1b2c3d4e5f"
}
PUT/api/monitor-owner-user/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/monitor-owner-user/:id/update-item
GET/api/monitor-owner-user/:id/update-item

Update Request

PUT
/api/monitor-owner-user/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {}
}

Response

{}
DELETE/api/monitor-owner-user/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/monitor-owner-user/:id/delete-item
GET/api/monitor-owner-user/:id/delete-item

Delete Request

DELETE
/api/monitor-owner-user/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Monitor User Owner

  • Project Owner
  • Project Admin
  • Project Member
  • Read Monitor User Owner
  • Read All Project Resources

Create Permissions

Required to create Monitor User Owner

  • Project Owner
  • Project Admin
  • Project Member
  • Create Monitor User Owner

Update Permissions

Required to update Monitor User Owner

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Monitor User Owner

Delete Permissions

Required to delete Monitor User Owner

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Monitor User Owner